Mongodb broken by todays updates

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Mongodb broken by todays updates

Postby xircon on Mon Mar 07, 2011 2:44 pm

What the hell is it? What does it do? I had noticed it occasionally failing to start before today, so am tempted to just remove it. What do people think?
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Linux Mint is funded by ads and donations.
 

Re: Mongodb broken by todays updates

Postby dawgdoc on Mon Mar 07, 2011 4:49 pm

I have not had any breakages, but I have not installed all of the most recent updates.

The description in Synaptic reads An object/document-oriented database (metapackage) It is not installed in my system. You could go to the package in Synaptic and check its properties for dependent packages to see if there is anything on your system that needs it.
Image

SYSTEM: Compaq Presario CQ62 Dual-Boot: Mint 13 Gnome x32 PAE, LMDE
READING: The Autobiography of Benvenuto Cellini
User avatar
dawgdoc
Level 9
Level 9
 
Posts: 2690
Joined: Mon Oct 05, 2009 12:53 am
Location: Kentucky, USA the land of Mint Juleps

Re: Mongodb broken by todays updates

Postby xircon on Mon Mar 07, 2011 5:16 pm

It depends on itself, (mongodb-server, mongodb-dev) it has always been on my install don't know why. If I try to uninstall it affects nothing else, so bye bye mongo :)
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: Mongodb broken by todays updates

Postby dawgdoc on Mon Mar 07, 2011 5:39 pm

xircon wrote:It depends on itself, (mongodb-server, mongodb-dev)

In the Properties tab where you saw this, click the Dependencies drop down button and select Dependents to see what needs this package. Mongodb needs the two listed.

From it's wiki it looks like it is used by on-line databases:
Prominent users

* diaspora[56]
* Shutterfly[57]
* foursquare[58]
* Carbon Calculated[59]
* bit.ly[60]
* New York Times[61]
* SourceForge[62]
* Business Insider[63]
* Etsy[64]
* Eventbrite[64]
* LHC[65]
* Playtomic[66]
http://en.wikipedia.org/wiki/MongoDB#Prominent_users
Image

SYSTEM: Compaq Presario CQ62 Dual-Boot: Mint 13 Gnome x32 PAE, LMDE
READING: The Autobiography of Benvenuto Cellini
User avatar
dawgdoc
Level 9
Level 9
 
Posts: 2690
Joined: Mon Oct 05, 2009 12:53 am
Location: Kentucky, USA the land of Mint Juleps

Re: Mongodb broken by todays updates

Postby xircon on Mon Mar 07, 2011 5:42 pm

Doh, misread, just checked, dependants is blank.
Dell Inspiron N5010 / Core I5 / ATI Mobility Radeon HD5400, LMDE Tracking Sid & Cinnamon Desktop
"Ubuntu is an African word meaning 'I can't configure Debian'"
User avatar
xircon
Level 5
Level 5
 
Posts: 775
Joined: Sun Aug 01, 2010 7:59 am
Location: Sheffield, UK

Re: Mongodb broken by todays updates

Postby dawgdoc on Mon Mar 07, 2011 9:54 pm

xircon wrote:Doh, misread, just checked, dependants is blank.

xircon wrote: If I try to uninstall it affects nothing else, so bye bye mongo :)

Sounds safe unless you do something with managing documents in a Javascript type database like one of those above.
Image

SYSTEM: Compaq Presario CQ62 Dual-Boot: Mint 13 Gnome x32 PAE, LMDE
READING: The Autobiography of Benvenuto Cellini
User avatar
dawgdoc
Level 9
Level 9
 
Posts: 2690
Joined: Mon Oct 05, 2009 12:53 am
Location: Kentucky, USA the land of Mint Juleps


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: Google [Bot] and 4 guests